@import url('https://fonts.googleapis.com/css2?family=Cinzel:wght@400;500;600&family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300&family=Playfair+Display:ital,wght@0,400;0,600;1,400&display=swap');
:root {
    --main_color: #C49B20;
    --second_color: #F1DC95;
    --cont: 1600px;
}

* {
    margin: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
}

.container {
    width: var(--cont);
    margin: 0 auto;
    counter-reset: cnt;
}

div.header {
    height: 127px;
    width: 100%;
    background: #00000096;
    transition: 0.4s;
    color: var(--main_color);
    display: flex;
    align-items: center;
    font-family: 'Cinzel', serif;
    font-weight: 300;
    position: fixed;
    z-index: 99;
}

.background {
    background-image: url('img/header.jpg');
    background-size: cover;
    background-attachment: fixed;
    height: 100vh;
    width: 100%;
    display: flex;
    justify-content: center;
    position: relative;
    background-position: center;
}

.background-other>div.header {
    height: 74px;
    background: #000;
}

.background-other {
    background-image: url('img/header.jpg');
    background-size: cover;
    background-attachment: fixed;
    height: 50vh;
    width: 100%;
    display: flex;
    justify-content: center;
    position: relative;
    background-position: 70% 55%;
}

.background_contrast {
    display: block;
    width: 100%;
    height: 100%;
    background-color: #0000006e;
}

.flex_head {
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    align-content: space-between;
    justify-content: space-between;
}

.logo {
    display: flex;
    flex-direction: row;
}

header div.logo>img {
    max-height: 100px;
    transition: 0.4s;
}

.background-other div.logo>img {
    max-height: 60px;
}

.headline {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    margin-left: 25px;
}

.headline>h1,
.headline>h2 {
    font-weight: 200;
}

.headline>h1 {
    font-size: 35px;
    transition: 0.4s;
}

.headline>h2 {
    font-size: 23px;
    transition: 0.4s;
}

.background-other .headline>h1 {
    font-size: 20px;
}

.background-other .headline>h2 {
    font-size: 15px;
}

.flex_nav {
    display: flex;
    flex-direction: row;
}

ul.main_menu {
    list-style: none;
    display: flex;
    flex-direction: row;
    align-items: center;
    font-size: 17px;
}

ul.main_menu>li {
    margin: 0 15px;
}

ul.main_menu>li>a {
    color: var(--main_color);
    text-decoration: none;
}

ul.main_menu>li:not(.special_link)>a::after {
    content: '';
    width: 0px;
    display: block;
    border-bottom: var(--main_color) 1px solid;
    transition: border 2s;
}

ul.main_menu>li.special_link {
    background: linear-gradient(to right, var(--main_color), var(--second_color));
    padding: 15px;
    border-radius: 20px;
    font-weight: 500;
}

ul.main_menu>li.special_link>a {
    color: #000;
}

ul.main_menu>li.special_link:hover {
    background: var(--main_color);
}

ul.main_menu>li:not(.special_link)>a:hover::after {
    width: 100%;
    transition: width 0.3s;
}

div.slogans {
    font-family: 'Cinzel', serif;
    color: #fff;
    position: absolute;
    left: 10%;
    top: 45%;
}

#slo_1 {
    font-size: 45px;
    animation: slogansInput 1.5s ease-out 0s 1;
    position: relative;
}

#slo_2 {
    font-size: 28px;
    animation: slogansInput 1.5s ease-out 0.2s 1;
    position: relative;
}

@keyframes slogansInput {
    0% {
        left: -200%;
    }
    100% {
        left: 0%
    }
}

.header_button {
    position: absolute;
    bottom: 10%;
    display: flex;
    align-self: center;
    padding: 25px;
    background-color: var(--main_color);
    color: #000;
    text-decoration: none;
    border-radius: 50px;
    font-family: 'Open Sans', sans-serif;
}

.section_title {
    font-family: 'Playfair Display', serif;
    padding-top: 75px;
    flex: auto;
    text-align: center;
    padding-bottom: 50px;
}

.section_title::before {
    content: '';
    background: var(--main_color);
    height: 2px;
    width: 50px;
    display: inline-block;
    margin-right: 20px;
    vertical-align: middle;
}

.section_title::after {
    content: '';
    background: var(--main_color);
    height: 2px;
    width: 50px;
    display: inline-block;
    margin-left: 20px;
    /* margin-bottom: 6px; */
    vertical-align: middle;
}

.section_bg_img {
    background-image: url(img/bg2.jpg);
    height: 400px;
    width: 100%;
    display: block;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.offer_blocks {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-top: 20px;
}

.of_block {
    background: #272727;
    border-radius: 25px;
    height: 350px;
    width: 270px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    margin: 20px auto;
}

.of_block_at_home {
    width: 240px;
}

.of_block h3 {
    color: #fff;
    text-transform: uppercase;
    font-family: 'Open Sans', sans-serif;
    font-weight: 700;
}

.testimonials_container {
    position: relative;
}

.testimonials {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    margin-top: 20px;
    overflow-x: scroll;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

.testimonials_before {
    display: flex;
    background: #00000000;
    height: 100%;
    width: 80px;
    position: absolute;
    left: 0;
    top: 0;
    color: #ffffff13;
    font-size: 80px;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    transition: 0.3s;
    cursor: pointer;
}

.testimonials_after {
    display: flex;
    background: #00000000;
    height: 100%;
    width: 80px;
    position: absolute;
    right: 0;
    top: 0;
    color: #ffffff13;
    font-size: 80px;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    transition: 0.3s;
    cursor: pointer;
}

.testimonials_container:hover>.testimonials_before,
.testimonials_container:hover>.testimonials_after {
    background: #00000086;
    color: #ffffff;
    transition: 0.3s;
}

.testimonial_block:first-of-type {
    margin-left: 50px;
}

.testimonial_block:last-of-type {
    margin-right: 50px;
}

.testimonial_block {
    border-radius: 25px;
    min-height: 250px;
    border: 1px solid var(--main_color);
    width: 520px;
    padding: 20px;
    display: flex;
    flex-direction: column;
    font-family: 'Playfair Display', serif;
    justify-content: space-between;
    flex: 1 0 480px;
    margin-right: 20px;
}

.testimonials::-webkit-scrollbar {
    display: none;
}

.testimonial_block>h3 {
    margin-bottom: 10px;
}

.testimonial_block>p {
    font-size: 15px;
    font-style: italic;
}

.testimonial_block>h4 {
    margin-top: 15px;
    align-self: flex-end;
    font-size: 12px;
}

.last {
    margin-bottom: 100px;
}

footer {
    background: #000;
    height: 615px;
    margin-top: 50px;
    display: flex;
    flex-direction: column;
    font-family: 'Open Sans', sans-serif;
    font-weight: 700;
}

.footer_top {
    display: flex;
    flex-direction: row;
    padding: 25px 0;
    justify-content: space-around;
}

.element_of_top_div {
    display: flex;
    flex-direction: row;
}

.element_of_top_div>img {
    height: 62px;
    margin-right: 20px;
}

.fot_separator {
    display: block;
    height: 50px;
    width: 4px;
    background: var(--main_color);
    margin-right: 20px;
}

.footer_top_el_content>h4 {
    text-transform: uppercase;
    color: var(--main_color);
    font-size: 23px;
}

.footer_top_el_content {
    display: flex;
    flex-direction: column;
}

.footer_top_el_content>p {
    color: #fff;
    font-weight: 100;
    font-size: 15px;
}

.footer_bottom {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-top: 50px;
}

.foot_bot_left>h3 {
    text-transform: uppercase;
    color: var(--main_color);
    font-size: 23px;
    text-align: right;
}

.foot_bot_left>h3>span {
    color: #fff;
}

.foot_bot_left>p,
.foot_bot_left a {
    color: #fff;
    text-align: right;
    font-weight: 100;
    font-size: 17px;
}

.foot_bot_left>p {
    margin: 20px 0;
}

.socials {
    background: #ffffff5e;
    height: 80px;
    width: 600px;
    bottom: -90px;
    position: relative;
}

div.content {
    font-family: 'Open Sans', sans-serif;
    font-size: 17px;
    line-height: 25px;
    max-width: 890px;
}

div.full-content {
    font-family: 'Open Sans', sans-serif;
    font-size: 17px;
    line-height: 25px;
}

div.parts {
    display: flex;
}

div.parts::before {
    counter-increment: cnt;
    content: counter(cnt);
    border-radius: 50%;
    background: #000000;
    color: var(--main_color);
    font-size: 35px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 80px !important;
    height: 80px;
    border: 3px solid var(--main_color);
    ;
    margin-right: 50px;
}

div.part {
    display: flex;
    flex-direction: column;
    min-height: 120px;
    width: 90%;
}

span.title {
    display: block;
    font-weight: 600;
}

p.part-desc {
    display: block;
    font-style: italic;
}

form {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: center;
    width: 40%;
}

form#contact-form>* {
    height: 40px;
    border-radius: 0;
    margin-bottom: 10px;
    border: 1px solid black;
    font-family: 'Open Sans', sans-serif;
}

form#contact-form>textarea {
    height: 200px;
}

form#contact-form>input[type='submit'] {
    background-color: var(--main_color);
    ;
}

form#contact-form>*:focus {
    outline: 2px solid var(--main_color);
    ;
    border: none;
}

div.content>p {
    margin-top: 20px;
}

div.content>p:first-of-type {
    margin-top: unset;
}

div.flex_row {
    display: flex;
    flex-wrap: nowrap;
    align-content: stretch;
    justify-content: space-between;
    align-items: flex-start;
}

div.flex_row iframe {
    width: 672px;
    height: 400px;
}

div.flex_row img {
    width: 686px;
    border: 10px solid white;
    box-shadow: 0 0px 4px 0px #aeaeae;
}

div.team_container {
    display: flex;
    flex-wrap: wrap;
    align-content: stretch;
    justify-content: space-around;
}

div.team_member {
    width: 250px;
    height: 340px;
    border: 1px solid var(--main_color);
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: space-evenly;
}

div.team_member>img {
    width: 233px;
    border-radius: 50%;
    border: 1px solid var(--main_color);
    align-self: center;
}

div.team_member>h3,
div.team_member>p {
    margin-left: 30px;
    font-family: 'Playfair Display', serif;
}

div.team_member>p {
    font-size: 14px;
}

div.offer_reverse {
    margin-top: 50px;
}

div.offer_block_hdn {
    /*zawiera obie karty*/
    perspective: 150rem;
    position: relative;
    background: none;
}

div.hidden_of_block>p {
    color: #fff;
    font-family: 'Playfair Display', serif;
    font-size: 14px;
}

div.front_card>img {
    height: 128px;
}

div.back_card>img {
    height: 50px;
}

.card_side {
    border-radius: 15px;
    transition: all 0.8s ease;
    backface-visibility: hidden;
    position: absolute;
    top: 0;
    left: 0;
    padding: 2rem;
    color: white;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: space-evenly;
    align-items: center;
    height: 350px;
    width: 270px;
}

.card_side.back_card {
    transform: rotateY(-180deg);
    background-color: #000;
}

.card_side.front_card {
    background-color: #000;
}

div.offer_block_hdn:hover .card_side.front_card {
    transform: rotateY(180deg);
}

div.offer_block_hdn:hover .card_side.back_card {
    transform: rotateY(0deg);
}

div.flex_cont {
    display: flex;
}

div.additional_icon {
    color: var(--main_color);
    ;
    text-shadow: #000 1px 1px;
    font-family: 'Open Sans', sans-serif;
    font-size: 50px;
    font-weight: 900;
    position: absolute;
    top: -45px;
    right: -25px;
    border-radius: 50%;
    padding: 20px;
    background-color: rgb(255, 255, 255);
    border: 1px solid var(--main_color);
}

div.brand_container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

div.brand_container>img {
    max-height: 50px;
    filter: grayscale();
    -webkit-filter: grayscale();
    transition: 0.5s;
    border: 1px solid #dbdbdb;
    margin-right: 20px;
    margin-bottom: 20px;
    padding: 20px;
    box-sizing: content-box;
    box-shadow: #b1b1b1 0 0 7px 0px;
}

div.brand_container>img:hover {
    filter: none;
    -webkit-filter: none;
}

.contact_form {
    height: 420px;
    width: 600px;
}

.contact_form>form>input {
    height: 40px;
    width: 100%;
    margin-bottom: 15px;
}

.contact_form>form>textarea {
    width: 100%;
    margin-bottom: 15px;
}

.contact_form>form>label {
    display: none;
}

.contact_form>form>*:not(label) {
    background: #ffffff4b;
    border: 1px solid white;
    color: #fff;
}

.contact_form>form>*::placeholder {
    color: #fff;
}

::-webkit-calendar-picker-indicator {
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="16" height="15" viewBox="0 0 24 24"><path fill="%23bbbbbb" d="M20 3h-1V1h-2v2H7V1H5v2H4c-1.1 0-2 .9-2 2v16c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 18H4V8h16v13z"/></svg>');
}

.contact_form>form>button {
    height: 40px;
    padding: 0 40px;
}

.contact_form>form>button:hover {
    background: var(--main_color);
    color: #000;
    transition: all 1s;
}

.contact_form>form>*:focus {
    border: var(--main_color) 2px solid;
    outline: none;
}

div.test_blur {
    height: 250px;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: linear-gradient(90deg, #ffffff00 1%, #ffffff00 90px, #ffffff00 92%, #ffffff 100%);
}

form#panel {
    display: flex;
    flex-direction: row;
    width: 100%;
}

form#panel>* {
    height: 50px;
    width: 250px;
    font-family: 'Open Sans', sans-serif;
    font-size: 20px;
    border: 1px solid black;
}

form#panel>*:focus {
    border: none;
    outline: 2px solid var(--main_color);
    ;
}

form#panel>input[type='submit'] {
    margin-left: 20px;
    background: var(--main_color);
    color: #fff;
}

form#panel>input[type='submit']:hover {
    background: var(--second_color);
    color: #000;
}